## flameshot 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
# cmake_policy(SET CMP0076 OLD)

# This can be read from ${PROJECT_NAME} after project() is called
project(
  flameshot
  VERSION 0.8.0
  LANGUAGES CXX)
set(PROJECT_NAME_CAPITALIZED "Flameshot")

# Configuration options
set(DEFAULT_RUN_IN_PLACE FALSE)
if(WIN32)
	set(DEFAULT_RUN_IN_PLACE TRUE)
endif()
set(RUN_IN_PLACE ${DEFAULT_RUN_IN_PLACE} CACHE BOOL
	"Run directly in source directory structure")


option(GENERATE_TS "Regenerate translation source files" OFF)

include(cmake/StandardProjectSettings.cmake)

add_library(project_options INTERFACE)
target_compile_features(project_options INTERFACE cxx_std_17)

add_library(project_warnings INTERFACE)

# standard compiler warnings
include(cmake/CompilerWarnings.cmake)
# set_project_warnings(project_warnings)

# sanitizer options if supported by compiler
include(cmake/Sanitizers.cmake)
enable_sanitizers(project_options)

# allow for static analysis options include(cmake/StaticAnalyzers.cmake)

add_subdirectory(src)

# CPack
set(CPACK_PACKAGE_VENDOR "flameshot-org")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Powerful yet simple to use screenshot software.")
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_PACKAGE_HOMEPAGE_URL "https://flameshot.org")
set(CPACK_PACKAGE_CONTACT "flameshot-org developers <info@flameshot.org>")
set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data/img/app/flameshot.svg") # TODO: Can any generator make use of this?
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md") # TODO: Where is this used? Do we need a better source?

if(WIN32)
	# Include all dynamically linked runtime libaries such as MSVCRxxx.dll
  include(InstallRequiredSystemLibraries)

	if(RUN_IN_PLACE)
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
      set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}-win64")
    else()
      set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}-win32")
    endif()

    set(CPACK_GENERATOR ZIP)

  else()
    set(CPACK_GENERATOR WIX ZIP)
    set(CPACK_PACKAGE_NAME "${PROJECT_NAME_CAPITALIZED}")
    set(CPACK_PACKAGE_INSTALL_DIRECTORY "${PROJECT_NAME_CAPITALIZED}")
    set(CPACK_PACKAGE_EXECUTABLES ${PROJECT_NAME} "${PROJECT_NAME_CAPITALIZED}")
    set(CPACK_CREATE_DESKTOP_LINKS ${PROJECT_NAME})

		# WIX (Windows .msi installer)
    # 48x48 pixels
    set(CPACK_WIX_PRODUCT_ICON "${CMAKE_SOURCE_DIR}/data/img/app/flameshot.ico")
    # Supported languages can be found at 
    # http://wixtoolset.org/documentation/manual/v3/wixui/wixui_localization.html
    #set(CPACK_WIX_CULTURES "ar-SA,bg-BG,ca-ES,hr-HR,cs-CZ,da-DK,nl-NL,en-US,et-EE,fi-FI,fr-FR,de-DE")
    set(CPACK_WIX_UI_BANNER "${CMAKE_SOURCE_DIR}/data/win-installer/Bitmaps/CPACK_WIX_UI_BANNER.BMP")
    set(CPACK_WIX_UI_DIALOG "${CMAKE_SOURCE_DIR}/data/win-installer/Bitmaps/CPACK_WIX_UI_DIALOG.BMP")
    set(CPACK_WIX_PROPERTY_ARPHELPLINK "${CPACK_PACKAGE_HOMEPAGE_URL}")
		set(CPACK_WIX_PROPERTY_ARPURLINFOABOUT "${CPACK_PACKAGE_HOMEPAGE_URL}")
		set(CPACK_WIX_ROOT_FEATURE_DESCRIPTION "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
		set(CPACK_WIX_LIGHT_EXTRA_FLAGS "-dcl:high") # set high compression

    
    set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/data/win-installer/LICENSE/GPL-3.0.txt")
    set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")

    # The correct way would be to include both x32 and x64 into one installer
    # and install the appropriate one.
    # CMake does not support that, so there are two separate GUID's
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
      set(CPACK_WIX_UPGRADE_GUID "26D8062A-66D9-48D9-8924-42090FB9B3F9")
    else()
      set(CPACK_WIX_UPGRADE_GUID "2C53E1B9-51D9-4429-AAE4-B02221959AA5")
    endif()
  endif()
elseif(APPLE)
  set(CPACK_INCLUDE_TOPLEVEL_DIRECTORY 0)
  set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}-osx")
  set(CPACK_GENERATOR ZIP)
else()
  set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}-linux")
  set(CPACK_GENERATOR TGZ)
  set(CPACK_SOURCE_GENERATOR TGZ)
endif()

include(CPack)

=== src/config/CMakeLists.txt ===
target_sources(
  flameshot
  PRIVATE buttonlistview.cpp
          clickablelabel.cpp
          configwindow.cpp
          extendedslider.cpp
          filenameeditor.cpp
          geneneralconf.cpp
          strftimechooserwidget.cpp
          uicoloreditor.cpp
          visualseditor.cpp)

## flameshot 0.5.1

=== debian/changelog ===
flameshot (0.5.1-2) unstable; urgency=medium

  * Backport upstream patch to fix cmdline parsing.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 28 Feb 2018 22:03:16 +0800

flameshot (0.5.1-1) unstable; urgency=medium

  * New upstream stable release.
  * d/patches: Add patch to specify application version.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Feb 2018 19:49:15 +0800

flameshot (0.5.0+git20180222-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/watch: Fix grammar error.
  * d/control: Fix Vcs links.
  * d/rules: Fix lintian error for debian-rules-is-dh_make-template.
  * d/patches: Refresh patches.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Feb 2018 09:45:05 +0800

flameshot (0.5.0+git20180114-1) unstable; urgency=medium

  * Initial release. (Closes: #886409)

 -- Boyuan Yang <073plan@gmail.com>  Mon, 15 Jan 2018 19:50:38 +0800

=== debian/control ===
Source: flameshot
Section: graphics
Priority: optional
Maintainer: Boyuan Yang <073plan@gmail.com>
Build-Depends:
 debhelper (>= 11),
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.1.3
Homepage: https://github.com/lupoDharkael/flameshot
Vcs-Browser: https://salsa.debian.org/debian/flameshot
Vcs-Git: https://salsa.debian.org/debian/flameshot.git

Package: flameshot
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ca-certificates,
 openssl,
Description: Powerful yet simple-to-use screenshot software
 Flameshot is a powerful yet simple-to-use screenshot software.
 Notable features include customizable appearance, in-app screenshot editing,
 D-Bus interface, experimental GNOME/KDE Wayland support, integration with
 Imgur and support for both GUI and CLI interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5


%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flameshot-$1.tar.gz%" \
 https://github.com/lupoDharkael/flameshot/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## flameshot 0.6.0

=== debian/changelog ===
flameshot (0.6.0-9) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2019-01-30.
  * debian/control:
    + Build-depend on debhelper-compat (= 12).
    + R³: Use Rules-Requires-Root: no.
  * debian/copyright: Update CC0-1.0 license for the metadata file.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Feb 2019 10:37:44 -0500

flameshot (0.6.0-8) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2018-12-29.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Dec 2018 22:42:07 +0800

flameshot (0.6.0-7) unstable; urgency=medium

  * debian/flameshot.1: Fix typo in man page. (Closes: #911872)
  * debian/patches: Backport upstream patch till 2018-11-05.

 -- Boyuan Yang <byang@debian.org>  Thu, 08 Nov 2018 19:59:31 -0500

flameshot (0.6.0-6) unstable; urgency=medium

  * Rebuild against Qt 5.11.2.
  * debian/patches: Backport upstream patch till 2018-10-23.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Oct 2018 12:58:12 -0400

flameshot (0.6.0-5) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2018-10-05.
  * debian/flameshot.1: Refresh man page.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Oct 2018 10:26:01 -0400

flameshot (0.6.0-4) unstable; urgency=medium

  * debian/patches: Backport upstream patch to fix pin tool position.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Sep 2018 18:57:05 -0400

flameshot (0.6.0-3) unstable; urgency=medium

  * Rebuild against new Qt 5.11.
  * debian/control: Update my maintainer email address and use the
    @debian.org one.
  * debian/patches: Backport upstream bugfix till 20180913.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Sep 2018 21:11:02 -0400

flameshot (0.6.0-2) unstable; urgency=medium

  * Backport upstream fixes till 2018-08-20.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 26 Aug 2018 21:53:23 -0400

flameshot (0.6.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 17 Aug 2018 08:31:10 -0400

flameshot (0.5.1+git201800812-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fix several AppStream appdata errors and warnings.
    + Fix locale detection.
    + Properly install icons.
  * debian/patches: Drop backported patches.
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 12 Aug 2018 07:43:59 -0400

flameshot (0.5.1+git201800811-1) unstable; urgency=medium

  * New upstream snapshot.
    + Use SVG images globally.
    + More fixes to HiDPI support.
  * debian/control: Bump Standards-Version to 4.2.0 (no changes needed).
  * debian/patches:
    + Refresh patches and drop backported patches.
    + Backport a proposed fix for locale detection.
    + Add a patch to canonicalize icon installation path.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 11 Aug 2018 21:32:48 -0400

flameshot (0.5.1+git20180708-2) unstable; urgency=medium

  * Rebuild against gcc 8.
  * New upstream snapshot based on 20180722 upstream codebase.
    + Fixes image grabbing on fractional-scaled desktop environments.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 22 Jul 2018 21:53:04 +0800

flameshot (0.5.1+git20180708-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 08 Jul 2018 08:21:39 +0800

flameshot (0.5.1+git20180601-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add text configuration function.
    - Update translations.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 02 Jun 2018 21:39:03 +0800

flameshot (0.5.1+git20180506-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add initial support to text tool.
    - Improve image pinning tool.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 06 May 2018 20:25:43 +0800

flameshot (0.5.1+git20180419-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add initial support for image pinning tool.
    - Add ability to take screenshot from tray menu.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 22:57:22 +0800

flameshot (0.5.1+git20180411-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove patches merged upstream.
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Wed, 11 Apr 2018 19:43:04 +0800

flameshot (0.5.1+git20180318-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove patches merged upstream.
  * Add patch to workaround upstream issue 166.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 20 Mar 2018 09:01:36 +0800

flameshot (0.5.1-3) unstable; urgency=medium

  * Backport upstream patch to allow tray icon customization.
  * Backport upstream patch to use single desktop file.
    Closes: #887466.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 05 Mar 2018 22:59:54 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: flameshot
 Section: graphics
 Priority: optional
-Maintainer: Boyuan Yang <073plan@gmail.com>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.1.3
+ libqt5svg5-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/lupoDharkael/flameshot
 Vcs-Browser: https://salsa.debian.org/debian/flameshot
 Vcs-Git: https://salsa.debian.org/debian/flameshot.git

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,6 @@
 
 %:
 	dh $@
+
+override_dh_missing:
+	dh_missing --fail-missing

## flameshot 0.6.0+git20190714

=== debian/changelog ===
flameshot (0.6.0+git20190714-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream snapshot (20190714).
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2019 12:31:44 -0400

flameshot (0.6.0+git20190514-1~exp1) experimental; urgency=medium

  * New upstream snapshot (20190514).
  * debian/patches: Drop all backported patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 May 2019 14:51:12 -0400

flameshot (0.6.0-11) unstable; urgency=medium

  * debian/patches: Drop some premature patches (for Russian
    translation).
  * debian/control: Explicitly depends on libqt5svg5 module. It
    seems that such dependency was not automatically derived
    by the buildsystem.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Feb 2019 11:00:57 -0500

flameshot (0.6.0-10) unstable; urgency=medium

  * debian/patches: Backport upstream patch till 2019-02-22.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Feb 2019 13:15:15 -0500

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+ libqt5svg5-dev,
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
- libqt5svg5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/lupoDharkael/flameshot
 Vcs-Browser: https://salsa.debian.org/debian/flameshot
 Vcs-Git: https://salsa.debian.org/debian/flameshot.git
@@ -17,6 +17,7 @@
 Package: flameshot
 Architecture: any
 Depends:
+ libqt5svg5,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:

## flameshot 0.6.0+git20191001

=== debian/changelog ===
flameshot (0.6.0+git20191001-2) unstable; urgency=medium

  * debian/patches/pr: Cherry-pick upstream PR #678. 
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Mar 2020 13:29:02 -0500

flameshot (0.6.0+git20191001-1) unstable; urgency=medium

  * New upstream snapshot (20191001).
  * debian/control: Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Oct 2019 14:21:55 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/lupoDharkael/flameshot
 Vcs-Browser: https://salsa.debian.org/debian/flameshot
 Vcs-Git: https://salsa.debian.org/debian/flameshot.git

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,13 @@
 
 export QT_SELECT := 5
 
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- "DEB_VERSION=$(DEB_VERSION)"
+
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flameshot-$1.tar.gz%" \
 https://github.com/lupoDharkael/flameshot/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## flameshot 0.6.1+rb2

=== debian/changelog ===
flameshot (0.6.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jan 2021 17:18:08 +0800

## flameshot 0.8.0

=== debian/changelog ===
flameshot (0.8.0-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Sep 2020 15:41:27 -0700

flameshot (0.8.0-2) unstable; urgency=medium

  * Backport upstream patches till 2020-09-21.
    + Fix visibility issue of circle counter tool with dark background.
    + Fix AppStream validation errors.
  * debian/copyright: Drop my name from copyright holder list.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Sep 2020 16:03:09 -0400

flameshot (0.8.0-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/control: Add dependency on hicolor-icon-theme for proper
    theme support.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Sep 2020 16:51:39 -0400

flameshot (0.8.0~git20200913-1) unstable; urgency=medium

  * New upstream beta release.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Sep 2020 19:46:54 -0400

flameshot (0.8.0~git20200907-1) unstable; urgency=medium

  * New upstream git snapshot.
    + Fix D-Bus invocation and "flameshot *" invocation problem.
  * debian/patches: Drop patches not merged in mainline for now.

 -- Boyuan Yang <byang@debian.org>  Mon, 07 Sep 2020 18:38:11 -0400

flameshot (0.8.0~git20200904-1) unstable; urgency=medium

  * New upstream git snapshot.
  * debian/control:
    + Switch to new upstream location.
    + Refresh build dependencies.
  * debian/patches: Refresh patches.
  * debian/copyright: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Sep 2020 20:52:18 -0400

=== debian/control ===
Source: flameshot
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends: cmake (>= 3.13~),
               debhelper-compat (= 12),
               libqt5svg5-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/flameshot-org/flameshot
Vcs-Browser: https://salsa.debian.org/debian/flameshot
Vcs-Git: https://salsa.debian.org/debian/flameshot.git

Package: flameshot
Architecture: any
Depends: hicolor-icon-theme, libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
Suggests: ca-certificates, openssl
Description: Powerful yet simple-to-use screenshot software
 Flameshot is a powerful yet simple-to-use screenshot software.
 Notable features include customizable appearance, in-app screenshot editing,
 D-Bus interface, experimental GNOME/KDE Wayland support, integration with
 Imgur and support for both GUI and CLI interface.

## flameshot 0.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # This can be read from ${PROJECT_NAME} after project() is called
 project(
   flameshot
-  VERSION 0.8.0
+  VERSION 0.8.3
   LANGUAGES CXX)
 set(PROJECT_NAME_CAPITALIZED "Flameshot")
 
@@ -25,6 +25,9 @@
 target_compile_features(project_options INTERFACE cxx_std_17)
 
 add_library(project_warnings INTERFACE)
+
+# enable cache system
+include(cmake/Cache.cmake)
 
 # standard compiler warnings
 include(cmake/CompilerWarnings.cmake)

=== src/CMakeLists.txt ===
find_package(
  Qt5
  CONFIG
  REQUIRED
  Core
  Gui
  Widgets
  Network
  Svg
  DBus
  LinguistTools)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

add_executable(flameshot)

add_executable(Flameshot::flameshot ALIAS flameshot)

if(WIN32)
  set_property(TARGET flameshot PROPERTY WIN32_EXECUTABLE true)
endif()

add_subdirectory(cli)
add_subdirectory(config)
add_subdirectory(core)
add_subdirectory(utils)
add_subdirectory(widgets)
add_subdirectory(tools)

set(FLAMESHOT_TS_FILES
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_ca.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_cs.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_de_DE.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_es.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_eu_ES.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_fr.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_hu.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_it_IT.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_ja.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_ka.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_ko.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_nl.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_nl_NL.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_pl.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_pt_BR.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_ru.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_sk.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_sr_SP.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_sv_SE.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_tr.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_uk.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_zh_TW.ts)

if(GENERATE_TS)
  qt5_create_translation(QM_FILES ${CMAKE_SOURCE_DIR} ${FLAMESHOT_TS_FILES})
else()
  qt5_add_translation(QM_FILES ${FLAMESHOT_TS_FILES})
endif()

target_sources(
  flameshot
  PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../external/singleapplication/singleapplication.cpp
          ${CMAKE_CURRENT_SOURCE_DIR}/../external/Qt-Color-Widgets/src/color_utils.cpp
          ${CMAKE_CURRENT_SOURCE_DIR}/../external/Qt-Color-Widgets/src/color_wheel.cpp
          ${CMAKE_CURRENT_SOURCE_DIR}/../external/Qt-Color-Widgets/include/color_wheel.hpp
          ${CMAKE_CURRENT_SOURCE_DIR}/../data/graphics.qrc
          ${CMAKE_CURRENT_SOURCE_DIR}/../data/icon.rc # windows binary icon resource file
          ${QM_FILES}
          main.cpp)

target_include_directories(
  flameshot
  PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../external/singleapplication/>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../external/Qt-Color-Widgets/include>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../dbus/>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/cli>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/config>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/core>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/arrow>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/pixelate>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/circle>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/circlecount>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/copy>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/exit>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/imgur>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/launcher>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/line>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/marker>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/move>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/pencil>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/pin>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/rectangle>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/redo>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/save>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/selection>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/sizeindicator>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/text>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools/undo>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/utils>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/widgets>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/widgets/panel>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/widgets/capture>
         $<INSTALL_INTERFACE:include/mylib>)

target_link_libraries(
  flameshot
  project_warnings
  project_options
  Qt5::Svg
  Qt5::DBus
  Qt5::Network
  Qt5::Widgets)

target_compile_definitions(flameshot PRIVATE APP_PREFIX="${CMAKE_INSTALL_PREFIX}")
target_compile_definitions(flameshot PRIVATE APP_VERSION="v${PROJECT_VERSION}")
target_compile_definitions(flameshot PRIVATE IMGUR_CLIENT_ID="313baf0c7b4d3ff")
target_compile_definitions(flameshot PRIVATE QAPPLICATION_CLASS=QApplication)

foreach(FILE ${QM_FILES})
  get_filename_component(F_NAME ${FILE} NAME)
  add_custom_command(
    TARGET flameshot
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/${F_NAME}
            ${CMAKE_CURRENT_BINARY_DIR}/translations/${F_NAME})
endforeach()
# ######################################################################################################################
# Installation instructions

include(GNUInstallDirs)
set(INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/Flameshot)

# Install binary
install(
  TARGETS flameshot
  EXPORT flameshot-targets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

# Install desktop files, completion and dbus files
configure_file(${CMAKE_SOURCE_DIR}/docs/desktopEntry/package/flameshot.desktop
               ${CMAKE_CURRENT_BINARY_DIR}/share/applications/flameshot.desktop COPYONLY)

configure_file(${CMAKE_SOURCE_DIR}/docs/appdata/flameshot.metainfo.xml
               ${CMAKE_CURRENT_BINARY_DIR}/share/metainfo/flameshot.metainfo.xml COPYONLY)

configure_file(${CMAKE_SOURCE_DIR}/docs/shell-completion/flameshot
               ${CMAKE_CURRENT_BINARY_DIR}/share/bash-completion/completions/flameshot COPYONLY)

configure_file(${CMAKE_SOURCE_DIR}/docs/shell-completion/flameshot
               ${CMAKE_CURRENT_BINARY_DIR}/share/zsh/site-functions/_flameshot COPYONLY)

configure_file(${CMAKE_SOURCE_DIR}/data/dbus/org.flameshot.Flameshot.xml
               ${CMAKE_CURRENT_BINARY_DIR}/share/dbus-1/interfaces/org.flameshot.Flameshot.xml COPYONLY)

configure_file(${CMAKE_SOURCE_DIR}/data/dbus/org.flameshot.Flameshot.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/share/dbus-1/services/org.flameshot.Flameshot.service)

# Install Icons
configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/48x48/apps/flameshot.png
               ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/48x48/apps/flameshot.png COPYONLY)

configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/128x128/apps/flameshot.png
               ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/128x128/apps/flameshot.png COPYONLY)

configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/scalable/apps/flameshot.svg
               ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/scalable/apps/flameshot.svg COPYONLY)

# Install assets
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/share/ DESTINATION ${CMAKE_INSTALL_DATAROOTDIR})

# Install Translations
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/flameshot/translations)


# windeployqt
if(WIN32)
  if(EXISTS $ENV{QTDIR}/bin/windeployqt.exe)
    if(CMAKE_BUILD_TYPE MATCHES Release)
      set(BINARIES_TYPE --release)
    else()
      set(BINARIES_TYPE --debug)
    endif()

    add_custom_command(
      TARGET flameshot POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E remove_directory ${CMAKE_BINARY_DIR}/windeployqt_stuff
      COMMAND $ENV{QTDIR}/bin/windeployqt.exe ${BINARIES_TYPE} --no-translations  --compiler-runtime --no-system-d3d-compiler --no-angle --no-webkit2 --no-quick-import --dir ${CMAKE_BINARY_DIR}/windeployqt_stuff $<TARGET_FILE:flameshot>
      # copy translations manually
      # QM_FILES
      COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/windeployqt_stuff/translations
      COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_BINARY_DIR}/src/translations ${CMAKE_BINARY_DIR}/windeployqt_stuff/translations
    )

    install(
      DIRECTORY ${CMAKE_BINARY_DIR}/windeployqt_stuff/
      DESTINATION bin
    )

  else()
    message("Unable to find executable QTDIR/bin/windeployqt.")
  endif()
endif()

=== debian/changelog ===
flameshot (0.8.3-2) unstable; urgency=medium

  * Backport upstream fix on App theme.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Sep 2020 12:46:06 -0400

flameshot (0.8.3-1) unstable; urgency=medium

  * New upstream stable release. 

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Sep 2020 10:59:49 -0400

flameshot (0.8.1-1) unstable; urgency=medium

  * New upstream stable release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Sep 2020 21:43:54 -0400

## flameshot 0.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # This can be read from ${PROJECT_NAME} after project() is called
 project(
   flameshot
-  VERSION 0.8.3
+  VERSION 0.8.5
   LANGUAGES CXX)
 set(PROJECT_NAME_CAPITALIZED "Flameshot")
 
@@ -12,6 +12,12 @@
 set(DEFAULT_RUN_IN_PLACE FALSE)
 if(WIN32)
 	set(DEFAULT_RUN_IN_PLACE TRUE)
+    # For Windows RC file.
+    add_definitions(-DFLAMESHOT_VERSION_MAJOR=${CMAKE_PROJECT_VERSION_MAJOR})
+    add_definitions(-DFLAMESHOT_VERSION_MINOR=${CMAKE_PROJECT_VERSION_MINOR})
+    add_definitions(-DFLAMESHOT_VERSION_BUGFIX=${CMAKE_PROJECT_VERSION_PATCH})
+    add_definitions(-DFLAMESHOT_VERSION_BUILD=1)
+    add_definitions(-DFLAMESHOT_VERSION_STRING="${PROJECT_VERSION}")
 endif()
 set(RUN_IN_PLACE ${DEFAULT_RUN_IN_PLACE} CACHE BOOL
 	"Run directly in source directory structure")
@@ -47,7 +53,7 @@
 set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
 set(CPACK_PACKAGE_HOMEPAGE_URL "https://flameshot.org")
 set(CPACK_PACKAGE_CONTACT "flameshot-org developers <info@flameshot.org>")
-set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data/img/app/flameshot.svg") # TODO: Can any generator make use of this?
+set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data/img/app/org.flameshot.Flameshot.svg") # TODO: Can any generator make use of this?
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md") # TODO: Where is this used? Do we need a better source?
 
 if(WIN32)
@@ -76,15 +82,15 @@
     # Supported languages can be found at 
     # http://wixtoolset.org/documentation/manual/v3/wixui/wixui_localization.html
     #set(CPACK_WIX_CULTURES "ar-SA,bg-BG,ca-ES,hr-HR,cs-CZ,da-DK,nl-NL,en-US,et-EE,fi-FI,fr-FR,de-DE")
-    set(CPACK_WIX_UI_BANNER "${CMAKE_SOURCE_DIR}/data/win-installer/Bitmaps/CPACK_WIX_UI_BANNER.BMP")
-    set(CPACK_WIX_UI_DIALOG "${CMAKE_SOURCE_DIR}/data/win-installer/Bitmaps/CPACK_WIX_UI_DIALOG.BMP")
+    set(CPACK_WIX_UI_BANNER "${CMAKE_SOURCE_DIR}/packaging/win-installer/Bitmaps/CPACK_WIX_UI_BANNER.BMP")
+    set(CPACK_WIX_UI_DIALOG "${CMAKE_SOURCE_DIR}/packaging/win-installer/Bitmaps/CPACK_WIX_UI_DIALOG.BMP")
     set(CPACK_WIX_PROPERTY_ARPHELPLINK "${CPACK_PACKAGE_HOMEPAGE_URL}")
 		set(CPACK_WIX_PROPERTY_ARPURLINFOABOUT "${CPACK_PACKAGE_HOMEPAGE_URL}")
 		set(CPACK_WIX_ROOT_FEATURE_DESCRIPTION "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
 		set(CPACK_WIX_LIGHT_EXTRA_FLAGS "-dcl:high") # set high compression
 
     
-    set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/data/win-installer/LICENSE/GPL-3.0.txt")
+    set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/packaging/win-installer/LICENSE/GPL-3.0.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")
 
     # The correct way would be to include both x32 and x64 into one installer

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_cs.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_de_DE.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_es.ts
-    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_eu_ES.ts
+    ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_eu.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_fr.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_hu.ts
     ${CMAKE_SOURCE_DIR}/data/translations/Internationalization_it_IT.ts
@@ -67,7 +67,7 @@
           ${CMAKE_CURRENT_SOURCE_DIR}/../external/Qt-Color-Widgets/src/color_wheel.cpp
           ${CMAKE_CURRENT_SOURCE_DIR}/../external/Qt-Color-Widgets/include/color_wheel.hpp
           ${CMAKE_CURRENT_SOURCE_DIR}/../data/graphics.qrc
-          ${CMAKE_CURRENT_SOURCE_DIR}/../data/icon.rc # windows binary icon resource file
+          ${CMAKE_CURRENT_SOURCE_DIR}/../data/flameshot.rc # windows binary icon resource file
           ${QM_FILES}
           main.cpp)
 
@@ -130,6 +130,7 @@
     COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/${F_NAME}
             ${CMAKE_CURRENT_BINARY_DIR}/translations/${F_NAME})
 endforeach()
+
 # ######################################################################################################################
 # Installation instructions
 
@@ -143,16 +144,16 @@
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 # Install desktop files, completion and dbus files
-configure_file(${CMAKE_SOURCE_DIR}/docs/desktopEntry/package/flameshot.desktop
-               ${CMAKE_CURRENT_BINARY_DIR}/share/applications/flameshot.desktop COPYONLY)
-
-configure_file(${CMAKE_SOURCE_DIR}/docs/appdata/flameshot.metainfo.xml
-               ${CMAKE_CURRENT_BINARY_DIR}/share/metainfo/flameshot.metainfo.xml COPYONLY)
-
-configure_file(${CMAKE_SOURCE_DIR}/docs/shell-completion/flameshot
+configure_file(${CMAKE_SOURCE_DIR}/data/desktopEntry/package/org.flameshot.Flameshot.desktop
+               ${CMAKE_CURRENT_BINARY_DIR}/share/applications/org.flameshot.Flameshot.desktop COPYONLY)
+
+configure_file(${CMAKE_SOURCE_DIR}/data/appdata/org.flameshot.Flameshot.metainfo.xml
+               ${CMAKE_CURRENT_BINARY_DIR}/share/metainfo/org.flameshot.Flameshot.metainfo.xml COPYONLY)
+
+configure_file(${CMAKE_SOURCE_DIR}/data/shell-completion/flameshot
                ${CMAKE_CURRENT_BINARY_DIR}/share/bash-completion/completions/flameshot COPYONLY)
 
-configure_file(${CMAKE_SOURCE_DIR}/docs/shell-completion/flameshot
+configure_file(${CMAKE_SOURCE_DIR}/data/shell-completion/flameshot
                ${CMAKE_CURRENT_BINARY_DIR}/share/zsh/site-functions/_flameshot COPYONLY)
 
 configure_file(${CMAKE_SOURCE_DIR}/data/dbus/org.flameshot.Flameshot.xml
@@ -162,6 +163,16 @@
                ${CMAKE_CURRENT_BINARY_DIR}/share/dbus-1/services/org.flameshot.Flameshot.service)
 
 # Install Icons
+configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/48x48/apps/org.flameshot.Flameshot.png
+               ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/48x48/apps/org.flameshot.Flameshot.png COPYONLY)
+
+configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/128x128/apps/org.flameshot.Flameshot.png
+               ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/128x128/apps/org.flameshot.Flameshot.png COPYONLY)
+
+configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/scalable/apps/org.flameshot.Flameshot.svg
+               ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/scalable/apps/org.flameshot.Flameshot.svg COPYONLY)
+
+## Install icon with both names
 configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/48x48/apps/flameshot.png
                ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/48x48/apps/flameshot.png COPYONLY)
 
@@ -170,6 +181,7 @@
 
 configure_file(${CMAKE_SOURCE_DIR}/data/img/hicolor/scalable/apps/flameshot.svg
                ${CMAKE_CURRENT_BINARY_DIR}/share/icons/hicolor/scalable/apps/flameshot.svg COPYONLY)
+
 
 # Install assets
 install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/share/ DESTINATION ${CMAKE_INSTALL_DATAROOTDIR})

=== src/config/CMakeLists.txt ===
--- 
+++ 
@@ -7,5 +7,6 @@
           filenameeditor.cpp
           geneneralconf.cpp
           strftimechooserwidget.cpp
+          styleoverride.cpp
           uicoloreditor.cpp
           visualseditor.cpp)

=== src/core/CMakeLists.txt ===

# Required to generate MOC
target_sources(flameshot PRIVATE controller.h flameshotdbusadapter.h)

target_sources(flameshot PRIVATE capturerequest.cpp controller.cpp flameshotdbusadapter.cpp)

IF(WIN32)
    target_sources(flameshot PRIVATE globalshortcutfilter.h globalshortcutfilter.cpp)
ENDIF()

=== src/tools/CMakeLists.txt ===
target_sources(flameshot PRIVATE arrow/arrowtool.h arrow/arrowtool.cpp)
target_sources(flameshot PRIVATE pixelate/pixelatetool.h pixelate/pixelatetool.cpp)
target_sources(flameshot PRIVATE circle/circletool.h circle/circletool.cpp)
target_sources(flameshot PRIVATE circlecount/circlecounttool.h circlecount/circlecounttool.cpp)
target_sources(flameshot PRIVATE copy/copytool.h copy/copytool.cpp)
target_sources(flameshot PRIVATE exit/exittool.h exit/exittool.cpp)
target_sources(
  flameshot
  PRIVATE imgur/imguruploader.h
          imgur/imguruploadertool.h
          imgur/imguruploader.cpp
          imgur/imguruploadertool.cpp)
target_sources(
  flameshot
  PRIVATE launcher/applaunchertool.h
          launcher/applauncherwidget.h
          launcher/launcheritemdelegate.h
          launcher/terminallauncher.h
          launcher/applaunchertool.cpp
          launcher/applauncherwidget.cpp
          launcher/launcheritemdelegate.cpp
          launcher/openwithprogram.cpp
          launcher/terminallauncher.cpp)
target_sources(flameshot PRIVATE line/linetool.h line/linetool.cpp)
target_sources(flameshot PRIVATE marker/markertool.h marker/markertool.cpp)
target_sources(flameshot PRIVATE move/movetool.h move/movetool.cpp)
target_sources(flameshot PRIVATE pencil/penciltool.h pencil/penciltool.cpp)
target_sources(
  flameshot
  PRIVATE pin/pintool.h
          pin/pinwidget.h
          pin/pintool.cpp
          pin/pinwidget.cpp)
target_sources(flameshot PRIVATE rectangle/rectangletool.h rectangle/rectangletool.cpp)
target_sources(flameshot PRIVATE redo/redotool.h redo/redotool.cpp)
target_sources(flameshot PRIVATE save/savetool.h save/savetool.cpp)
target_sources(flameshot PRIVATE selection/selectiontool.h selection/selectiontool.cpp)
target_sources(flameshot PRIVATE sizeindicator/sizeindicatortool.h sizeindicator/sizeindicatortool.cpp)
target_sources(
  flameshot
  PRIVATE text/textconfig.h
          text/texttool.h
          text/textwidget.h
          text/textconfig.cpp
          text/texttool.cpp
          text/textwidget.cpp)
target_sources(flameshot PRIVATE undo/undotool.h undo/undotool.cpp)

target_sources(
  flameshot
  PRIVATE abstractactiontool.cpp
          abstractpathtool.cpp
          abstracttwopointtool.cpp
          capturecontext.cpp
          toolfactory.cpp
          abstractactiontool.h
          abstractpathtool.h
          abstracttwopointtool.h
          capturetool.h
          toolfactory.h)

=== src/utils/CMakeLists.txt ===
# Required to generate MOC
target_sources(
  flameshot
  PRIVATE dbusutils.h
          filenamehandler.h
          screengrabber.h
          systemnotification.h)

target_sources(
  flameshot
  PRIVATE filenamehandler.cpp
          screengrabber.cpp
          confighandler.cpp
          systemnotification.cpp
          screenshotsaver.cpp
          dbusutils.cpp
          globalvalues.cpp
          desktopfileparse.cpp
          desktopinfo.cpp
          pathinfo.cpp
          colorutils.cpp)

=== src/widgets/CMakeLists.txt ===
add_subdirectory(panel)
add_subdirectory(capture)

# Required to generate MOC
target_sources(
  flameshot
  PRIVATE capturelauncher.h
          draggablewidgetmaker.h
          imagelabel.h
          infowindow.h
          loadspinner.h
          notificationwidget.h
          orientablepushbutton.h)

target_sources(
  flameshot
  PRIVATE capturelauncher.cpp
          draggablewidgetmaker.cpp
          imagelabel.cpp
          infowindow.cpp
          loadspinner.cpp
          notificationwidget.cpp
          orientablepushbutton.cpp)

=== debian/changelog ===
flameshot (0.8.5-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 07 Jul 2021 22:06:20 -0400

flameshot (0.8.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Oct 2020 18:58:45 -0400

flameshot (0.8.5-1) unstable; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Oct 2020 22:37:39 -0400

flameshot (0.8.3-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Oct 2020 19:13:32 -0400

flameshot (0.8.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Sep 2020 15:37:36 -0400

flameshot (0.8.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Sep 2020 12:36:31 -0400

flameshot (0.8.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Sep 2020 17:05:24 -0400

flameshot (0.8.0~git20200907-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Sep 2020 19:42:46 -0400

flameshot (0.6.0+git20191001-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 May 2020 15:50:22 -0400

flameshot (0.6.0+git20191001-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Oct 2019 14:53:13 -0400

flameshot (0.6.0+git20190714-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2019 15:37:09 -0400

=== debian/control ===
Source: flameshot
Section: graphics
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake (>= 3.13~),
 debhelper-compat (= 13),
 libqt5svg5-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/flameshot-org/flameshot
Vcs-Browser: https://salsa.debian.org/debian/flameshot
Vcs-Git: https://salsa.debian.org/debian/flameshot.git

Package: flameshot
Architecture: any
Depends:
 hicolor-icon-theme,
 libqt5svg5,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ca-certificates,
 openssl,
Description: Powerful yet simple-to-use screenshot software
 Flameshot is a powerful yet simple-to-use screenshot software.
 Notable features include customizable appearance, in-app screenshot editing,
 D-Bus interface, experimental GNOME/KDE Wayland support, integration with
 Imgur and support for both GUI and CLI interface.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 export QT_SELECT := 5
 
@@ -19,8 +19,5 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
-	dh_auto_configure -- "DEB_VERSION=$(DEB_VERSION)"
-
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flameshot-$1.tar.gz%" \
 https://github.com/flameshot-org/flameshot/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## flameshot 0.9.0%2Bds1

=== debian/changelog ===
flameshot (0.9.0+ds1-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/patches/0001: No longer hardcode version string.
  * debian/patches: Drop backport patches.
  * debian/copyright: Update copyright information.
  * debian/rules: Use system spdlog by default.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Feb 2021 17:58:44 -0500

flameshot (0.8.5-4) unstable; urgency=medium

  * Final build for Debian 11.
  * debian/patches/0004-KDE-Wayland-compat: Add proposed patch to
    improve compatibility with KDE using wayland.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Feb 2021 17:42:21 -0500

flameshot (0.8.5-3) unstable; urgency=medium

  * Final build for Debian 11.
  * debian/control: Update homepage information (flameshot.org).
  * debian/flameshot.1: Minor update to man page.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Feb 2021 22:07:54 -0500

flameshot (0.8.5-2) unstable; urgency=medium

  * Rebuild before Debian 11 release.
  * Bump Standards-Version to 4.5.1.
  * debian/patches:
    + Backport upstream fix for multi-monitor setup.
    + Backport proposed fix to fix command line help string.
      (Closes: #972720)

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Feb 2021 10:29:22 -0500
